package gotowe.p07_petle;

public class B_RodzajePetli {

	public static void main(String[] args) {
		System.out.println("while:");
		// while(WARUNEK) { INSTRUKCJE }
		// jeśli WARUNEK jest prawdziwy → wykonaj INSTRUKCJE i wróć ponownie do
		// sprawdzenia warunku
		// jeśli WARUNEK nieprawdziwy → nie wykonuj INSTRUKCJI, tylko idź za koniec
		// pętli
		int a = 1;
		while (a <= 5) {
			System.out.println("a = " + a);
			a++;
		}
		System.out.println("koniec while. teraz a = " + a);
		System.out.println();

		// pętla do-while:
		// do { INSTRUKCJE } while(WARUNEK);
		// najpierw jeden raz wykonywane są INSTRUKCJE,
		// następnie sprawdzany jest WARUNEK
		// jeśli WARUNEK jest prawdziwy → wróć na początek, wykonaj INSTRUKCJE (itd)
		// jeśli WARUNEK nieprawdziwy → idź za pętlę
		System.out.println("do-while:");
		int b = 1;
		do {
			System.out.println("b = " + b);
			b++;
		} while (b <= 5);
		System.out.println("koniec do-while. teraz b = " + b);
		System.out.println();

		// for(INICJALIZACJA; WARUNEK; KROK) { INSTRUKCJE }
		// 1) najpierw jeden raz wykonywana jest INICJALIZACJA
		// (w ramach inicjalizacji można zadeklarować zmienną, np. int i)
		// 2) sprawdzany jest WARUNEK
		// jeśli fałszywy, to wychodzimy z pętli (przechodzimy poniżej pętli)
		// jeśli prawdziwy, to:
		// 3) wykonywane są INSTRUKCJE
		// 4) wykonywana jest instrukcja KROK
		// przechodzimy do punktu 2) - sprawdzenie warunku
		System.out.println("pętla for:");
		for (int c = 1; c <= 5; c++) {
			System.out.println("c = " + c);
		}
		System.out.println("Koniec for. ");
		// System.out.println("Teraz c = " + c); // zmienna c może być używana tylko w
		// pętli
		System.out.println();

		// wersja z deklaracją zmiennej przed pętlą:
		int d;
		for (d = 1; d <= 5; d++) {
			System.out.println("d = " + d);
		}
		System.out.println("Koniec for. d = " + d);
		System.out.println();

		// Od Javy 5 dostępna jest pętla "for-each".
		// Służy do wykonania operacji dla każdego elementu tablicy lub kolekcji
		// for(Typ ZMIENNA : KOLEKCJA) { INSTRUKCJE }
		// Każdy element KOLEKCJI jest wpisywany do ZMIENNEJ i wykonywan INSTRUKCJE, w których można używać tej zmiennej
		String[] miasta = { "Warszawa", "Kraków", "Katowice" };
		for (String miasto : miasta) {
			System.out.println("Pozdrowienia dla miasta " + miasto);
		}
	}

}
