package gotowe.p05_switch;

import javax.swing.JOptionPane;

public class IleDniMaMiesiac3 {
    // Wersja dla Javy 14:
	// Dzięki użyciu -> nie trzeba pisać break.
	// W przypadku lutego zadajemy dodatkowe pytanie o rok przestępny - trzeba to umieścić w {bloku}.
	// Od Javy 14 wiele wartości można umieścić w jednym case rozdzielając przecinkiem ,
	// W tej wersji wielkość liter jest ignorowana, dzięki temu, że napis użytkownika zamieniamy na małe litery
	// I usuwamy niepotrzebne spacje.
	
	public static void main(String[] args) {
		String miesiac = JOptionPane.showInputDialog("Podaj nazwę miesiąca");
		
		switch(miesiac.strip().toLowerCase()) {
		case "styczeń", "marzec", "maj", "lipiec", "sierpień", "październik", "grudzień" ->
			JOptionPane.showMessageDialog(null, "31 dni");
		case "kwiecień", "czerwiec", "wrzesień", "listopad" ->
			JOptionPane.showMessageDialog(null, "30 dni");
		case "luty" -> {
			if(JOptionPane.showConfirmDialog(null, "Czy to jest rok przestępny?", "Pytanko", JOptionPane.YES_NO_OPTION) == JOptionPane.YES_OPTION) {
				JOptionPane.showMessageDialog(null, "29 dni");
			} else {
				JOptionPane.showMessageDialog(null, "28 dni");				
			}
		}
		default ->
			JOptionPane.showMessageDialog(null, "Nieznany miesiąc " + miesiac, "Błąd", JOptionPane.ERROR_MESSAGE);
		}
	}

}
