package p08_funkcje;

import java.util.Scanner;

public class Silnia {
    // silnia to iloczyn liczb naturalnych od 1 do n
    // silnia(n) = 1 * 2 * ... * n
    // np.  silnia(5) = 1*2*3*4*5 = 120
    static long silnia(int n) {
        long iloczyn = 1;
        for(int i = 1; i <= n; i++) {
            iloczyn = iloczyn * i; // albo krócej iloczyn *= i;
        }
        return iloczyn;
    }

    public static void main(String[] args) {
        System.out.println("Liczba ujemna przerywa...");
        Scanner scanner = new Scanner(System.in);
        while(true) {
            System.out.print("Podaj argument: ");
            int n = scanner.nextInt();
            if(n < 0) break;
            var wynik = silnia(n);
            System.out.println("silnia(" + n + ") = " + wynik);
        }
    }

}
